For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all properties
        • GETGet a property by ID
        • GETGet all rentable items
        • GETGet rentable item by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManProperties

Get a property by ID

GET
/v1/properties/:id
GET
/v1/properties/:id
$curl https://api.propexo.com/v1/properties/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "address_1": "123 Main St",
13 "address_2": null,
14 "associated_owner_ids": [
15 "string"
16 ],
17 "building_number": null,
18 "city": "Boston",
19 "code": null,
20 "country": null,
21 "county": null,
22 "created_at": "2024-03-21T15:38:08.337Z",
23 "custom_data": {},
24 "id": "clwktsp9v000008l31iv218hn",
25 "integration_id": "clwh5u07w000508me66sfh3um",
26 "integration_vendor": "RESMAN",
27 "is_active": null,
28 "last_seen": "2024-03-22T10:59:45.119Z",
29 "long_description": "A water front luxury apartment building on the beautiful Mississippi River.",
30 "manager_email": "string",
31 "manager_name": "string",
32 "manager_phone_1": "string",
33 "manager_phone_1_type": null,
34 "manager_phone_2": null,
35 "manager_phone_2_type": null,
36 "name": "string",
37 "notes": null,
38 "number_of_units": null,
39 "office_hours": {
40 "0": {
41 "day_of_week": "MONDAY",
42 "open_time": "08:00",
43 "close_time": "15:00"
44 },
45 "close_time": "15:00",
46 "day_of_week": "MONDAY",
47 "open_time": "08:00"
48 },
49 "pet_types": [
50 {
51 "name": "Reptile",
52 "is_allowed": true,
53 "description": "Only one lizard.",
54 "notes": "string",
55 "deposit_raw": "30",
56 "deposit_in_cents": 300,
57 "fee_raw": "30",
58 "fee_in_cents": 3000,
59 "fee_min_raw": "30",
60 "fee_min_in_cents": 3000,
61 "fee_max_raw": "30",
62 "fee_max_in_cents": 3000,
63 "rent_amount_raw": "30",
64 "rent_amount_in_cents": 3000
65 }
66 ],
67 "property_id": "clwi5xiix000008l6ctdgafyh",
68 "short_description": "A short description of the property",
69 "square_feet": 1,
70 "state": "MA",
71 "type_normalized": null,
72 "type_raw": null,
73 "updated_at": "2024-03-22T10:59:45.119Z",
74 "website": "https://example.com/",
75 "x_building_id": null,
76 "x_created_at": null,
77 "x_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
78 "x_property_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
79 "year_built": null,
80 "zip": "02116",
81 "square_footage": null,
82 "street_address_1": "string",
83 "street_address_2": null,
84 "type": null
85 }
86}
Get a property by ID
Was this page helpful?
Previous

Get all rentable items

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error